Loading...
Searching...
No Matches
ShapeEncoder.h File Reference
`#include <RDGeneral/export.h>`

Go to the source code of this file.

## Namespaces

namespace | RDGeom
namespace | RDKit
| Std stuff.
namespace | RDKit::MolShapes

## Macros

#define | RD_SHAPE_ENCODER_H_20050125_0800

## Functions

RDKIT_SHAPEHELPERS_EXPORT void | RDKit::MolShapes::EncodeShape (const ROMol &mol, RDGeom::UniformGrid3D &grid, int confId=-1, const RDGeom::Transform3D *trans=nullptr, double vdwScale=0.8, double stepSize=0.25, int maxLayers=-1, bool ignoreHs=true)
| Encode the shape of a molecule on to a grid.
RDKIT_SHAPEHELPERS_EXPORT void | RDKit::MolShapes::EncodeShape (const Conformer &conf, RDGeom::UniformGrid3D &grid, const RDGeom::Transform3D *trans=nullptr, double vdwScale=0.8, double stepSize=0.25, int maxLayers=-1, bool ignoreHs=true)
| Emcode the shape of a conformer on to a grid.

## Macro Definition Documentation

## RD_SHAPE_ENCODER_H_20050125_0800

#define RD_SHAPE_ENCODER_H_20050125_0800

Definition at line 13 of file ShapeEncoder.h.